For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AI agentsStatus PageContact sales
HomeGuidesDeveloper ToolsChangelogsCookbooks
HomeGuidesDeveloper ToolsChangelogsCookbooks
    • Payabli developer overview
    • Developer quickstart
    • Developer testing guide
    • Test accounts
  • API
    • Using the API
    • API responses
    • API changelog
            • POSTCreate merchant application
            • POSTCreate multi-product boarding app
            • GETGet app by ID
            • GETGet multi-product boarding apps for paypoint
            • GETList all apps for org
            • PUTUpdate app
            • DELDelete application
            • POSTGet application via auth token
            • GETRetrieve application by link ID
            • GETGet boarding link by template ID
            • PUTGet or send boarding link
            • GETGet boarding link by reference
            • GETList all application links
            • GETExport applications
    • Webhooks
  • Embedded Components
    • Overview
    • EmbeddedMethod UI
    • PayMethod UI
    • VirtualTerminal UI
    • ExpressCheckout UI
    • Changelog
  • Server SDKs
    • Server SDKs overview
  • Other tools
    • Postman collection
    • Payabli MCP
    • Example apps

© 2026 Centavo, Inc. All rights reserved | Centavo (DBA Payabli) is a registered Payment Facilitator of PNC Bank, N.A., Pittsburgh, PA. Payabli is a registered ISO/MSP of Merrick Bank, South Jordan, UT.

PayabliTest Cards & AccountsPay In StatusesPay Out StatusesTrust Center
LogoLogo
AI agentsStatus PageContact sales
APIPay Ops endpointsBoardingBoarding apps

Delete application

|View as Markdown|Open in Claude|
DELETE
/Boarding/app/:appId
DELETE
/api/Boarding/app/:appId
$curl -X DELETE https://api-sandbox.payabli.com/api/Boarding/app/352 \
> -H "requestToken: <apiKey>"
1{
2 "responseText": "Success",
3 "responseCode": 1,
4 "isSuccess": true,
5 "responseData": 3625
6}
Deletes a boarding application by ID.
Was this page helpful?
Previous

Update app

Next

Get application via auth token

Authentication

requestTokenstring
API Key authentication via header

Path parameters

appIdintegerRequired
Boarding application ID.

Response

Success
responseTextstring

Response text for operation: ‘Success’ or ‘Declined’.

responseCodeinteger

Code for the response. Learn more in API Response Codes.

pageIdentifierstring
Auxiliary validation used internally by payment pages and components.
roomIdlong

Describes the room ID. Only in use on Boarding endpoints, returns 0 when not applicable.

isSuccessboolean

Boolean indicating whether the operation was successful. A true value indicates success. A false value indicates failure.

responseDatastring or integer
The response data.

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error